(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "path", "./child-process"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    const path = require("path");

    const child_process_1 = require("./child-process");

    class DoxygenBuilder {
      // Install node dependencies
      static async installThemeAsync() {
        console.log("Installing doxygen theme ...");
        await child_process_1.default.spawnAsync("npm", ["install"], {
          cwd: path.join(".", "Doxygen", "theme", "bootstrap"),
          stdio: "inherit"
        });
      } // Build Doxygen


      static async doxygenAsync() {
        console.log("Building Doxygen docs ...");
        await child_process_1.default.spawnAsync("doxygen", [], {
          stdio: "inherit"
        });
      } // Build


      static async buildAsync() {
        await this.installThemeAsync();
        await this.doxygenAsync();
      }

    }

    exports.default = DoxygenBuilder;
  });
});
//# sourceMappingURL=doxygen-builder.js.map
