(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "git-rev"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    const gitRev = require("git-rev");

    class GitRevision {
      static async branchAsync() {
        return new Promise((resolve, reject) => {
          gitRev.branch(resolve);
        });
      }

      static async logAsync() {
        return new Promise((resolve, reject) => {
          gitRev.log(resolve);
        });
      }

      static async longAsync() {
        return new Promise((resolve, reject) => {
          gitRev.long(resolve);
        });
      }

      static async shortAsync() {
        return new Promise((resolve, reject) => {
          gitRev.short(resolve);
        });
      }

      static async tagAsync() {
        return new Promise((resolve, reject) => {
          gitRev.tag(resolve);
        });
      }

    }

    exports.default = GitRevision;
  });
});
//# sourceMappingURL=git-revision.js.map
