(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "./build-error-handler", "./child-process", "./node-module", "./dotnet-module-reference", "./git-revision", "./typescript-builder", "./doxygen-builder", "./monodoc-builder", "./msbuild-builder", "./mocha-runner", "./nunit-runner", "./stream-cache"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    var build_error_handler_1 = require("./build-error-handler");

    exports.BuildErrorHandler = build_error_handler_1.default;
    exports.BuildErrorLevel = build_error_handler_1.BuildErrorLevel;

    var child_process_1 = require("./child-process");

    exports.ChildProcess = child_process_1.default;

    var node_module_1 = require("./node-module");

    exports.NodeModule = node_module_1.default;

    var dotnet_module_reference_1 = require("./dotnet-module-reference");

    exports.DotNetModuleReference = dotnet_module_reference_1.default;

    var git_revision_1 = require("./git-revision");

    exports.GitRevision = git_revision_1.default;

    var typescript_builder_1 = require("./typescript-builder");

    exports.TypeScriptBuilder = typescript_builder_1.default;

    var doxygen_builder_1 = require("./doxygen-builder");

    exports.DoxygenBuilder = doxygen_builder_1.default;

    var monodoc_builder_1 = require("./monodoc-builder");

    exports.MonoDocBuilder = monodoc_builder_1.default;

    var msbuild_builder_1 = require("./msbuild-builder");

    exports.MSBuildBuilder = msbuild_builder_1.default;

    var mocha_runner_1 = require("./mocha-runner");

    exports.MochaRunner = mocha_runner_1.default;

    var nunit_runner_1 = require("./nunit-runner");

    exports.NUnitRunner = nunit_runner_1.default;

    var stream_cache_1 = require("./stream-cache");

    exports.StreamCache = stream_cache_1.default;
  });
});
//# sourceMappingURL=index.js.map
