export interface MonoDocBuilderOptions {
    assemblyDir?: string;
    outDir?: string;
    assembleDirName?: string;
    xmlDirName?: string;
}
export default class MonoDocBuilder implements MonoDocBuilderOptions {
    private static getAssemblyDirOrDefault;
    private static getOutDirOrDefault;
    private static getAssembleDirNameOrDefault;
    private static getXmlDirNameOrDefault;
    assemblyDir: string;
    outDir: string;
    assembleDirName: string;
    xmlDirName: string;
    private readonly assembleDir;
    private readonly xmlDir;
    constructor(options?: MonoDocBuilderOptions);
    updateAsync(assemblies: string[], referencePaths?: string[]): Promise<void>;
    assembleAsync(prefix: string): Promise<void>;
    installAsync(): Promise<void>;
    buildAsync(prefix: string, assemblies: string[], referencePaths?: string[]): Promise<void>;
    getInstallPathAsync(): Promise<string>;
}
