export default class NodeModule {
    private _name;
    private _packageDir;
    private _resolvedPath;
    /** @summary Gets the root path of a node module.
     *  @description A node module may resolve to a subfolder and file
     * like lib/index.js. This truncates the path to the module root.
    */
    static getPackageDir(nodeModuleName: string): string;
    /** Returns the RegEx used to match the root path of the specified module. */
    static getPackageDirRegEx(nodeModuleName: string): RegExp;
    constructor(name: string);
    readonly name: string;
    readonly packageDir: string;
    readonly resolvedPath: string;
}
