(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    class NodeModule {
      /** @summary Gets the root path of a node module.
       *  @description A node module may resolve to a subfolder and file
       * like lib/index.js. This truncates the path to the module root.
      */
      static getPackageDir(nodeModuleName) {
        return require.resolve(nodeModuleName).match(NodeModule.getPackageDirRegEx(nodeModuleName))[0];
      }
      /** Returns the RegEx used to match the root path of the specified module. */


      static getPackageDirRegEx(nodeModuleName) {
        return new RegExp(".*" + nodeModuleName + "/");
      }

      constructor(name) {
        this._name = name;
        this._resolvedPath = require.resolve(name);
        this._packageDir = NodeModule.getPackageDir(name);
      }

      get name() {
        return this._name;
      }

      get packageDir() {
        return this._packageDir;
      }

      get resolvedPath() {
        return this._resolvedPath;
      }

    }

    exports.default = NodeModule;
  });
});
//# sourceMappingURL=node-module.js.map
