(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "gulp", "gulp-nunit-runner"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    const gulp = require("gulp");

    const nunit = require("gulp-nunit-runner");

    class NUnitRunner {
      static async runAsync(testPathPatternsOrOptions, options) {
        let testPathPatterns;

        if (typeof testPathPatternsOrOptions === "string" || Array.isArray(testPathPatternsOrOptions)) {
          testPathPatterns = testPathPatternsOrOptions;
        } else {
          options = testPathPatternsOrOptions;
        }

        if (!testPathPatterns) testPathPatterns = "**/bin/**/*Test.dll";
        if (!options) options = {};

        if (options.executable === undefined) {
          options.executable = "/usr/local/bin";
        }

        if (options.teamcity === undefined) {
          options.teamcity = false;
        }

        await new Promise((resolve, reject) => {
          gulp.src(testPathPatterns, {
            read: false
          }).pipe(nunit(options)).once("end", resolve).once("error", reject);
        });
      }

    }

    exports.default = NUnitRunner;
  });
});
//# sourceMappingURL=nunit-runner.js.map
